﻿using System.Collections;
using System.Collections.Generic;
using PX.Data;
using PX.Objects.IN;

namespace AcumaticaDeviceHub
{
    public class InventoryItemMaintSKExt : PXGraphExtension<InventoryItemMaint>
    {
        public PXAction<InventoryItem> printLabel;
        [PXUIField(DisplayName = "Print Item Balance", MapEnableRights = PXCacheRights.Select, MapViewRights = PXCacheRights.Select)]
        [PXButton(CommitChanges = true)]
        public virtual IEnumerable PrintLabel(PXAdapter adapter)
        {
            PEPrintSLMaint tGPrintGraph = PXGraph.CreateInstance<PEPrintSLMaint>();

            Dictionary<string, string> parametersDictionary = new Dictionary<string, string>();
            parametersDictionary[PEPrintSLMaint.Fields.Inventory_ID] = this.Base.Item.Current.InventoryCD.Trim();
            List<string> ListGroupsFilter = new List<string> { "Group1", "Group2", "Group3" };
            tGPrintGraph.PrintReportInDeviceHub("IN615000", "IN615000", ListGroupsFilter, parametersDictionary, null, 1);

            return adapter.Get();
        }
    }
}
